przystajnik

Sprytny Videomass 1.4.5

Gdy słyszymy po raz kolejny o kolejnym konwerterze wideo, to łapiemy się za głowę w niemym geście biernego oporu przed tendencyjną jednorodnością. Jednak drugi rzut oka na wszystkie znane nam konwertery wideo pozwala zadać sobie pytanie – „a może znajdę tu coś dla siebie?”. Z tego założenia wychodzi też twórca Videomass, programu bazującego na FFmpeg i mocno stawiającego na ustawienia wstępne.

Videomass 1.4.5

„Weźmij Pythona, wxpython, dołóż pasji i zamieszaj”. Co powstanie? Otóż właśnie Videomass. Ten program jest rozwiązaniem dla osób poszukujących nieskomplikowanego sposobu na przekonwertowanie jednego wideo w drugie. Program potrafi też godnie potraktować ścieżki audio, a koncepcja całości opiera się na sprytnie przygotowanych ustawieniach wstępnych (presets). Mamy ich do dyspozycji multum, w zależności od tego co w co chcemy konwertować i z jaką jakością. W kwestii konwersji projekt zawierza mocom FFmpeg i trzeba przyznać, że póki co ludzkość nie wymyśliła do tego celu niczego lepszego.

Praca z Videomass polega na wyborze klipów wideo, wybraniu interesującego nas profilu pracy (typ konwersji), ustaleniu parametrów obróbki wideo oraz audio. I kliknięciu Start. Program stara się podsunąć nam pod myszkę jak nie wygodne profile, to podstawowe ustawienia które ułatwią doprecyzowanie formatu wyjściowego. Autor nie unika mnogości kontenerów (mkv, avi, mpeg i inne), zmiany wymiarów i proporcji wideo, odszumiania, zmiany FPS i wszystkiego tego, czym FFmpeg może potraktować materiał wejściowy.

Jak zainstalować program? O dziwo, najprościej skorzystać z polecenia pip:

sudo pip install videomass

I Video mass zostanie automagicznie pobrany z repozytorium projektów pythonowych. Jeżeli chcemy, aby program wyglądał nieco bardziej nowocześnie (GTK+3), będziemy potrzebowali wxPython4 Phoneix

Post navigation

9 comments for “Sprytny Videomass 1.4.5

  1. adamserce
    19 Luty, 2019 at 9:29

    Zainstalowałem, ale niestety nie uruchamia się.

    W terminalu:

    sudo videomass
    [sudo] hasło użytkownika kszyhu:
    [ERROR] ‚wx’ module is required.
    Videomass for Python2 need wxPython-Classic.
    Please, install wxPython with your package manager.

    Po próbie instalacji modułu:

    sudo apt install wxPython-Classic
    Czytanie list pakietów… Gotowe
    Budowanie drzewa zależności
    Odczyt informacji o stanie… Gotowe
    E: Nie udało się odnaleźć pakietu wxPython-Classic

    i jeszcze:

    sudo apt install wxPython
    Czytanie list pakietów… Gotowe
    Budowanie drzewa zależności
    Odczyt informacji o stanie… Gotowe
    E: Nie udało się odnaleźć pakietu wxPython

    Jak to naprawić?

  2. 19 Luty, 2019 at 9:33

    Powinno wystarczyć:

    sudo apt-get install python-wxgtk3.0

    (apt-cache search wxpython i można przebierać).

  3. adamserce
    19 Luty, 2019 at 10:19

    Sorki. Nie oczytałem ostatniej linijki (GTK+3).
    W podanym linku musiałem tylko zmienić /ubuntu-16.04 na /ubuntu-18.04

  4. infomaniak
    19 Luty, 2019 at 15:28

    a jak to zainstalować w Archu?

  5. hins
    19 Luty, 2019 at 20:49

    sudo: pip: nie znaleziono polecenia

    I tyle by bylo z instalacji tego programu na Lubuntu 18.04.

  6. 20 Luty, 2019 at 8:35

    Wiadomo. Nikt nie pamięta nazw wszystkich 50 tys. paczek.

    sudo apt-get install python-pip

  7. 20 Luty, 2019 at 8:42

    Czytelnik @infomaniak pyta (jego komentarz jakiś sposobem ominął engine Disqus):

    > a jak to zainstalować w Archu?

    To proste – Arch podobnie jak inne dystrybucje ma też paczkę python-pip:

    sudo pacman -Syu python-pip

    A potem jak powyżej…

  8. pavbaranov
    20 Luty, 2019 at 10:13

    Dla Archa najlepiej zrobić sobie PKGBUILD. Ogólnie zawsze polecam instalację czegokolwiek innego niż paczki „uniwersalne” wyłącznie za pomocą menedżerów paczek, zwłaszcza, gdy:
    1. aplikacja instaluje się w systemowych folderach (tak jest w tym przypadku, jeśli użyjemy sudo pip)
    2. aplikacja ma jeszcze jakieś dodatkowe zależności (też tak jest w tym przypadku).
    Jeśli ktoś nie potrafi zrobić sobie PKGBUILDu, to zawsze może zgłosić taką prośbę (informacje są i na stronie AUR i w wiki o AUR; można to zrobić na BBSie Archa, w liście mailingowej; a w naszym przypadku również na polskim forum Archa, choć tutaj @infomaniak nie ma już konta i chyba nawet nie założy; będę pamiętać i być może w wolnym czasie stworzę odpowiedni PKGBUILD – wówczas będzie w POLAUR).

    EDIT:
    Uprzejmie informuję, że paczka jest w POLAUR. Jeśli ktoś chce, proszę przetestować PKGBUILD. Ewentualne problemy z budową paczki, jej uruchamianiem itp. proszę zgłaszać na forum.archlinux.org.pl (nie oferuję natomiast żadnego wsparcia w zakresie prawidłowego działania aplikacji). Wsparcie w zakresie paczki także można otrzymać na kanałach IRC zarówno ww. forum, jak i POLAUR.

  9. Marek
    23 Luty, 2019 at 9:44

    Żeby to zainstalować w Linux mint 19.1 należy w terminalu wykonać następujące operacje :

    pip install -U -f https://extras.wxpython.org/wxPython4/extras/linux/gtk3/ubuntu-18.04 wxPython

    sudo pip install videomass

    Uruchomienie poleceniem : videomass

    ps. Nie można tak było napisać od razu ? 😉

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Translate »